Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# BaseParticleFactory Class Reference

Pure Virtual base class for creating particles. More...

Inheritance diagram for BaseParticleFactory:

List of all members.

## Public Member Functions
BaseParticle | allocParticle ()
float | getLifespanBase ()
| public
float | getLifespanSpread ()
| public
float | getMassBase ()
| public
float | getMassSpread ()
| public
float | getTerminalVelocityBase ()
| public
float | getTerminalVelocitySpread ()
| public
| output (ostream out)
| Write a string representation of this instance to <out>.
| populateParticle (BaseParticle bp)
| public
| setLifespanBase (float lb)
| public
| setLifespanSpread (float ls)
| public
| setMassBase (float mb)
| public
| setMassSpread (float ms)
| public
| setTerminalVelocityBase (float tvb)
| public
| setTerminalVelocitySpread (float tvs)
| public
| write (ostream out, int indent)
| Write a string representation of this instance to <out>.
| write (ostream out)
| Write a string representation of this instance to <out>.

## Detailed Description

Pure Virtual base class for creating particles.

## Member Function Documentation

BaseParticle allocParticle | ( |  | ) |

float getLifespanBase | ( |  | ) |

public

float getLifespanSpread | ( |  | ) |

public

float getMassBase | ( |  | ) |

public

float getMassSpread | ( |  | ) |

public

float getTerminalVelocityBase | ( |  | ) |

public

float getTerminalVelocitySpread | ( |  | ) |

public

output | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

populateParticle | ( | BaseParticle | bp | ) |

public

setLifespanBase | ( | float | lb | ) |

public

setLifespanSpread | ( | float | ls | ) |

public

setMassBase | ( | float | mb | ) |

public

setMassSpread | ( | float | ms | ) |

public

setTerminalVelocityBase | ( | float | tvb | ) |

public

setTerminalVelocitySpread | ( | float | tvs | ) |

public

write | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties